Changelogs » Pulumi-newrelic

PyUp Safety actively tracks 232,000 Python packages for vulnerabilities and notifies you when to upgrade.

Pulumi-newrelic

3.0.1

* Upgrade to v2.1.2 of the NewRelic Terraform Provider

3.0.0

* Upgrade to v2.1.1 of the NewRelic Terraform Provider
  ** Please Note: **
  The upstream provider has changed from terraform-providers/terraform-provider-newrelic to newrelic/terraform-provider-newrelic

2.4.1

* Switch to GitHub actions for build

2.4.0

* Upgrade to v1.19.0 of the NewRelic Terraform Provider

2.3.1

* Upgrade to Pulumi v2.3.0
  * Upgrade to pulumi-terraform-bridge v2.4.0

2.3.0

* Upgrade to v1.18.0 of the NewRelic Terraform Provider

2.2.2

* Upgrade to pulumi-terraform-bridge v2.3.1

2.2.1

* Upgrade to v1.17.0 of the NewRelic Terraform Provider

2.2.0

* Upgrade to v1.17.0 of the NewRelic Terraform Provider

2.1.0

* Regenerate datasource examples to be async
  * Upgrade to pulumi-terraform-bridge v2.1.0

2.0.0

* Upgrade to Pulumi v2.0.0
  * Upgrade to pulumi-terraform-bridge v2.0.0

1.11.0

* Refactor layout to support Go modules

1.10.0

* Upgrade to v1.16.0 of the NewRelic Terraform Provider

1.9.0

* Upgrade to v1.15.1 of the NewRelic Terraform Provider
  * Upgrade to Pulumi v1.12.1
  * Upgrade to pulumi-terraform-bridge v1.8.2

1.8.0

* Upgrade to v1.15.0 of the NewRelic Terraform Provider

1.7.0

* Upgrade to v1.14.0 of the NewRelic Terraform Provider

1.6.1

* Uprade to v1.13.1 of the NewRelic Terraform Provider

1.6.0

* Upgrade to v1.13.0 of the NewRelic Terraform Provider

1.5.0

* Upgrade to v1.12.2 of the NewRelic Terraform Provider
  * Upgrade to pulumi-terraform-bridge v1.6.4

1.4.0

* Namespace names in .NET SDK are adjusted to PascalCase
  ([37](https://github.com/pulumi/pulumi-newrelic/pull/37)).
  * Upgrade to v1.10.0 of the NewRelic Terraform Provider
  * Upgrade to pulumi-terraform-bridge v1.5.2

1.3.0

* Upgrade to v1.9.0 of NewRelic Terraform Provider

1.2.0

* Upgrade to support go 1.13.x
  * Upgrade to v1.8.0 of NewRelic Terraform Provider
  * Upgrade to pulumi-terraformdotnet

1.1.0

* Add support for DotNet SDK Generation
  * Upgrade to v1.7.0 of the NewRelic Terraform Provider

1.0.0

* Regenerate SDK based on tf2pulumi 0.6.0
  * Upgrade to v1.5.2 of the NewRelic Terraform Provider

0.18.10

* Upgrade to Pulumi v1.0.0

0.18.9

* Upgrade to pulumi-terraform 3f206601e7

0.18.8

* Depend on latest pulumi package

0.18.7

* Upgrade to pulumi-terraform9db2fc93cd

0.18.6

* Update to pulumi-terraform013b95b1c8

0.18.5

* Upgrade to v1.5.1 of the NewRelic Terraform Provider

0.18.4

* Fix detailed diffs with nested computed values.

0.18.3

* Communicate detailed information about the difference between a resource's desired and actual state during a Pulumi update

0.18.2

* Add TypeScript type guards for each resource class ([7ace3e9b5f2d](https://github.com/pulumi/pulumi-terraform/commit/7ace3e9b5f2d))
  * Update to pulumi-terraform3635bed3a5 which stops maps containing `.` being treated as nested maps.

0.18.1

* Fix an issue where configuration provided via the environment may not be honoured

0.18.0

* Initial release of the New Relic provider, based on revision 3651ee8 of the New Relic Terraform provider